Sequences
Communications Module

## Classes

class | itpp::LFSR
| Binary Linear Feedback Shift Register (LFSR) More...
class | itpp::Gold
| Gold Sequences. More...

## Functions

smat | itpp::wcdma_spreading_codes (int SF)
| Generates the OVSF (orthogonal variable spreading factor) spreading codes used in WCDMA.

## Detailed Description

## Function Documentation

## wcdma_spreading_codes()

ITPP_EXPORT smat itpp::wcdma_spreading_codes | ( | int | SF | ) |

Generates the OVSF (orthogonal variable spreading factor) spreading codes used in WCDMA.

The codes are written row-wise in the return matrix.

Definition at line 168 of file sequence.cpp.

References itpp::concat(), it_assert, and itpp::wcdma_spreading_codes().

Referenced by itpp::wcdma_spreading_codes().

Generated on Mon Jun 10 2024 11:49:30 for IT++ by Doxygen 1.9.8